	.file	1 "asm-offsets.c"
	.section .mdebug.abi32
	.previous
	.nan	legacy
	.module	softfloat
	.module	oddspreg

 # -G value = 0, Arch = mips32r2, ISA = 33
 # GNU C89 (LEDE GCC 5.4.0 r2993+847-b9a408c2b4) version 5.4.0 (mipsel-openwrt-linux-musl)
 #	compiled by GNU C version 6.3.0 20170516, GMP version 6.1.2, MPFR version 3.1.5, MPC version 1.0.3
 # GGC heuristics: --param ggc-min-expand=100 --param ggc-min-heapsize=131072
 # options passed:  -nostdinc -I ./arch/mips/include
 # -I arch/mips/include/generated/uapi -I arch/mips/include/generated
 # -I include -I ./arch/mips/include/uapi
 # -I arch/mips/include/generated/uapi -I ./include/uapi
 # -I include/generated/uapi -I ./arch/mips/include/asm/mach-ralink
 # -I ./arch/mips/include/asm/mach-ralink/mt7620
 # -I ./arch/mips/include/asm/mach-generic
 # -idirafter /var/lib/buildbot/slaves/ff-b/build/ramips-mt7620/build/firmware/openwrt/staging_dir/target-mipsel_24kc_musl-1.1.16/usr/include
 # -D __KERNEL__ -D VMLINUX_LOAD_ADDRESS=0xffffffff80000000 -D DATAOFFSET=0
 # -D GAS_HAS_SET_HARDFLOAT -D CC_HAVE_ASM_GOTO -D KBUILD_STR(s)=#s
 # -D KBUILD_BASENAME=KBUILD_STR(asm_offsets)
 # -D KBUILD_MODNAME=KBUILD_STR(asm_offsets)
 # -isystem /var/lib/buildbot/slaves/ff-b/build/ramips-mt7620/build/firmware/openwrt/staging_dir/toolchain-mipsel_24kc_gcc-5.4.0_musl-1.1.16/lib/gcc/mipsel-openwrt-linux-musl/5.4.0/include
 # -include ./include/linux/kconfig.h -MD arch/mips/kernel/.asm-offsets.s.d
 # arch/mips/kernel/asm-offsets.c -G 0 -mel -mno-check-zero-division
 # -mabi=32 -mno-abicalls -mno-branch-likely -msoft-float -march=mips32r2
 # -mtune=34kc -mllsc -mplt -mips32r2 -mno-shared
 # -auxbase-strip arch/mips/kernel/asm-offsets.s -Os -Wall -Wundef
 # -Wstrict-prototypes -Wno-trigraphs -Werror=implicit-function-declaration
 # -Wno-format-security -Wno-maybe-uninitialized -Wframe-larger-than=1024
 # -Wno-unused-but-set-variable -Wdeclaration-after-statement
 # -Wno-pointer-sign -Werror=implicit-int -Werror=strict-prototypes
 # -Werror=date-time -std=gnu90 -fno-strict-aliasing -fno-common -fno-pic
 # -ffreestanding -fno-delete-null-pointer-checks -fno-caller-saves
 # -fstack-protector -fomit-frame-pointer -fno-var-tracking-assignments
 # -fno-strict-overflow -fstack-check=no -fconserve-stack
 # -ffunction-sections -fdata-sections -fverbose-asm
 # --param allow-store-data-races=0
 # options enabled:  -faggressive-loop-optimizations -falign-functions
 # -falign-jumps -falign-labels -falign-loops -fauto-inc-dec
 # -fbranch-count-reg -fchkp-check-incomplete-type -fchkp-check-read
 # -fchkp-check-write -fchkp-instrument-calls -fchkp-narrow-bounds
 # -fchkp-optimize -fchkp-store-bounds -fchkp-use-static-bounds
 # -fchkp-use-static-const-bounds -fchkp-use-wrappers
 # -fcombine-stack-adjustments -fcompare-elim -fcprop-registers
 # -fcrossjumping -fcse-follow-jumps -fdata-sections -fdefer-pop
 # -fdelayed-branch -fdevirtualize -fdevirtualize-speculatively
 # -fdwarf2-cfi-asm -fearly-inlining -feliminate-unused-debug-types
 # -fexpensive-optimizations -fforward-propagate -ffunction-cse
 # -ffunction-sections -fgcse -fgcse-lm -fgnu-runtime -fgnu-unique
 # -fguess-branch-probability -fhoist-adjacent-loads -fident
 # -fif-conversion -fif-conversion2 -findirect-inlining -finline
 # -finline-atomics -finline-functions -finline-functions-called-once
 # -finline-small-functions -fipa-cp -fipa-cp-alignment -fipa-icf
 # -fipa-icf-functions -fipa-icf-variables -fipa-profile -fipa-pure-const
 # -fipa-ra -fipa-reference -fipa-sra -fira-hoist-pressure
 # -fira-share-save-slots -fira-share-spill-slots
 # -fisolate-erroneous-paths-dereference -fivopts -fkeep-static-consts
 # -fleading-underscore -flifetime-dse -flra-remat -flto-odr-type-merging
 # -fmath-errno -fmerge-constants -fmerge-debug-strings
 # -fmove-loop-invariants -fomit-frame-pointer -foptimize-sibling-calls
 # -fpartial-inlining -fpcc-struct-return -fpeephole -fpeephole2 -fplt
 # -fprefetch-loop-arrays -freorder-blocks -freorder-functions
 # -frerun-cse-after-loop -fsched-critical-path-heuristic
 # -fsched-dep-count-heuristic -fsched-group-heuristic -fsched-interblock
 # -fsched-last-insn-heuristic -fsched-rank-heuristic -fsched-spec
 # -fsched-spec-insn-heuristic -fsched-stalled-insns-dep -fschedule-fusion
 # -fschedule-insns2 -fsemantic-interposition -fshow-column -fshrink-wrap
 # -fsigned-zeros -fsplit-ivs-in-unroller -fsplit-wide-types -fssa-phiopt
 # -fstack-protector -fstdarg-opt -fstrict-volatile-bitfields
 # -fsync-libcalls -fthread-jumps -ftoplevel-reorder -ftrapping-math
 # -ftree-bit-ccp -ftree-builtin-call-dce -ftree-ccp -ftree-ch
 # -ftree-coalesce-vars -ftree-copy-prop -ftree-copyrename -ftree-cselim
 # -ftree-dce -ftree-dominator-opts -ftree-dse -ftree-forwprop -ftree-fre
 # -ftree-loop-if-convert -ftree-loop-im -ftree-loop-ivcanon
 # -ftree-loop-optimize -ftree-parallelize-loops= -ftree-phiprop -ftree-pre
 # -ftree-pta -ftree-reassoc -ftree-scev-cprop -ftree-sink -ftree-slsr
 # -ftree-sra -ftree-switch-conversion -ftree-tail-merge -ftree-ter
 # -ftree-vrp -funit-at-a-time -fverbose-asm -fzero-initialized-in-bss
 # -mdivide-traps -mdouble-float -mel -mexplicit-relocs -mextern-sdata
 # -mfp-exceptions -mfp32 -mfused-madd -mgp32 -mgpopt -mimadd -mllsc
 # -mlocal-sdata -mlong32 -mlra -mmemcpy -mmusl -mno-mdmx -mno-mips16
 # -mno-mips3d -modd-spreg -mplt -msoft-float -msplit-addresses

	.section	.text.output_ptreg_defines,"ax",@progbits
	.align	2
	.globl	output_ptreg_defines
	.set	nomips16
	.set	nomicromips
	.ent	output_ptreg_defines
	.type	output_ptreg_defines, @function
output_ptreg_defines:
	.frame	$sp,0,$31		# vars= 0, regs= 0/0, args= 0, gp= 0
	.mask	0x00000000,0
	.fmask	0x00000000,0
#APP
 # 26 "arch/mips/kernel/asm-offsets.c" 1
	
->#MIPS pt_regs offsets.
 # 0 "" 2
 # 27 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R0 32 offsetof(struct pt_regs, regs[0])	 #
 # 0 "" 2
 # 28 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R1 36 offsetof(struct pt_regs, regs[1])	 #
 # 0 "" 2
 # 29 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R2 40 offsetof(struct pt_regs, regs[2])	 #
 # 0 "" 2
 # 30 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R3 44 offsetof(struct pt_regs, regs[3])	 #
 # 0 "" 2
 # 31 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R4 48 offsetof(struct pt_regs, regs[4])	 #
 # 0 "" 2
 # 32 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R5 52 offsetof(struct pt_regs, regs[5])	 #
 # 0 "" 2
 # 33 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R6 56 offsetof(struct pt_regs, regs[6])	 #
 # 0 "" 2
 # 34 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R7 60 offsetof(struct pt_regs, regs[7])	 #
 # 0 "" 2
 # 35 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R8 64 offsetof(struct pt_regs, regs[8])	 #
 # 0 "" 2
 # 36 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R9 68 offsetof(struct pt_regs, regs[9])	 #
 # 0 "" 2
 # 37 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R10 72 offsetof(struct pt_regs, regs[10])	 #
 # 0 "" 2
 # 38 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R11 76 offsetof(struct pt_regs, regs[11])	 #
 # 0 "" 2
 # 39 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R12 80 offsetof(struct pt_regs, regs[12])	 #
 # 0 "" 2
 # 40 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R13 84 offsetof(struct pt_regs, regs[13])	 #
 # 0 "" 2
 # 41 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R14 88 offsetof(struct pt_regs, regs[14])	 #
 # 0 "" 2
 # 42 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R15 92 offsetof(struct pt_regs, regs[15])	 #
 # 0 "" 2
 # 43 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R16 96 offsetof(struct pt_regs, regs[16])	 #
 # 0 "" 2
 # 44 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R17 100 offsetof(struct pt_regs, regs[17])	 #
 # 0 "" 2
 # 45 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R18 104 offsetof(struct pt_regs, regs[18])	 #
 # 0 "" 2
 # 46 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R19 108 offsetof(struct pt_regs, regs[19])	 #
 # 0 "" 2
 # 47 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R20 112 offsetof(struct pt_regs, regs[20])	 #
 # 0 "" 2
 # 48 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R21 116 offsetof(struct pt_regs, regs[21])	 #
 # 0 "" 2
 # 49 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R22 120 offsetof(struct pt_regs, regs[22])	 #
 # 0 "" 2
 # 50 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R23 124 offsetof(struct pt_regs, regs[23])	 #
 # 0 "" 2
 # 51 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R24 128 offsetof(struct pt_regs, regs[24])	 #
 # 0 "" 2
 # 52 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R25 132 offsetof(struct pt_regs, regs[25])	 #
 # 0 "" 2
 # 53 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R26 136 offsetof(struct pt_regs, regs[26])	 #
 # 0 "" 2
 # 54 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R27 140 offsetof(struct pt_regs, regs[27])	 #
 # 0 "" 2
 # 55 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R28 144 offsetof(struct pt_regs, regs[28])	 #
 # 0 "" 2
 # 56 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R29 148 offsetof(struct pt_regs, regs[29])	 #
 # 0 "" 2
 # 57 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R30 152 offsetof(struct pt_regs, regs[30])	 #
 # 0 "" 2
 # 58 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R31 156 offsetof(struct pt_regs, regs[31])	 #
 # 0 "" 2
 # 59 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_LO 168 offsetof(struct pt_regs, lo)	 #
 # 0 "" 2
 # 60 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_HI 164 offsetof(struct pt_regs, hi)	 #
 # 0 "" 2
 # 64 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_EPC 180 offsetof(struct pt_regs, cp0_epc)	 #
 # 0 "" 2
 # 65 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_BVADDR 172 offsetof(struct pt_regs, cp0_badvaddr)	 #
 # 0 "" 2
 # 66 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_STATUS 160 offsetof(struct pt_regs, cp0_status)	 #
 # 0 "" 2
 # 67 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_CAUSE 176 offsetof(struct pt_regs, cp0_cause)	 #
 # 0 "" 2
 # 72 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_SIZE 184 sizeof(struct pt_regs)	 #
 # 0 "" 2
 # 73 "arch/mips/kernel/asm-offsets.c" 1
	
->
 # 0 "" 2
#NO_APP
	j	$31
	.end	output_ptreg_defines
	.size	output_ptreg_defines, .-output_ptreg_defines
	.section	.text.output_task_defines,"ax",@progbits
	.align	2
	.globl	output_task_defines
	.set	nomips16
	.set	nomicromips
	.ent	output_task_defines
	.type	output_task_defines, @function
output_task_defines:
	.frame	$sp,0,$31		# vars= 0, regs= 0/0, args= 0, gp= 0
	.mask	0x00000000,0
	.fmask	0x00000000,0
#APP
 # 78 "arch/mips/kernel/asm-offsets.c" 1
	
->#MIPS task_struct offsets.
 # 0 "" 2
 # 79 "arch/mips/kernel/asm-offsets.c" 1
	
->TASK_STATE 0 offsetof(struct task_struct, state)	 #
 # 0 "" 2
 # 80 "arch/mips/kernel/asm-offsets.c" 1
	
->TASK_THREAD_INFO 4 offsetof(struct task_struct, stack)	 #
 # 0 "" 2
 # 81 "arch/mips/kernel/asm-offsets.c" 1
	
->TASK_FLAGS 12 offsetof(struct task_struct, flags)	 #
 # 0 "" 2
 # 82 "arch/mips/kernel/asm-offsets.c" 1
	
->TASK_MM 308 offsetof(struct task_struct, mm)	 #
 # 0 "" 2
 # 83 "arch/mips/kernel/asm-offsets.c" 1
	
->TASK_PID 416 offsetof(struct task_struct, pid)	 #
 # 0 "" 2
 # 85 "arch/mips/kernel/asm-offsets.c" 1
	
->TASK_STACK_CANARY 424 offsetof(struct task_struct, stack_canary)	 #
 # 0 "" 2
 # 87 "arch/mips/kernel/asm-offsets.c" 1
	
->TASK_STRUCT_SIZE 1296 sizeof(struct task_struct)	 #
 # 0 "" 2
 # 88 "arch/mips/kernel/asm-offsets.c" 1
	
->
 # 0 "" 2
#NO_APP
	j	$31
	.end	output_task_defines
	.size	output_task_defines, .-output_task_defines
	.section	.text.output_thread_info_defines,"ax",@progbits
	.align	2
	.globl	output_thread_info_defines
	.set	nomips16
	.set	nomicromips
	.ent	output_thread_info_defines
	.type	output_thread_info_defines, @function
output_thread_info_defines:
	.frame	$sp,0,$31		# vars= 0, regs= 0/0, args= 0, gp= 0
	.mask	0x00000000,0
	.fmask	0x00000000,0
#APP
 # 93 "arch/mips/kernel/asm-offsets.c" 1
	
->#MIPS thread_info offsets.
 # 0 "" 2
 # 94 "arch/mips/kernel/asm-offsets.c" 1
	
->TI_TASK 0 offsetof(struct thread_info, task)	 #
 # 0 "" 2
 # 95 "arch/mips/kernel/asm-offsets.c" 1
	
->TI_FLAGS 4 offsetof(struct thread_info, flags)	 #
 # 0 "" 2
 # 96 "arch/mips/kernel/asm-offsets.c" 1
	
->TI_TP_VALUE 8 offsetof(struct thread_info, tp_value)	 #
 # 0 "" 2
 # 97 "arch/mips/kernel/asm-offsets.c" 1
	
->TI_CPU 12 offsetof(struct thread_info, cpu)	 #
 # 0 "" 2
 # 98 "arch/mips/kernel/asm-offsets.c" 1
	
->TI_PRE_COUNT 16 offsetof(struct thread_info, preempt_count)	 #
 # 0 "" 2
 # 99 "arch/mips/kernel/asm-offsets.c" 1
	
->TI_R2_EMUL_RET 20 offsetof(struct thread_info, r2_emul_return)	 #
 # 0 "" 2
 # 100 "arch/mips/kernel/asm-offsets.c" 1
	
->TI_ADDR_LIMIT 24 offsetof(struct thread_info, addr_limit)	 #
 # 0 "" 2
 # 101 "arch/mips/kernel/asm-offsets.c" 1
	
->TI_REGS 28 offsetof(struct thread_info, regs)	 #
 # 0 "" 2
 # 102 "arch/mips/kernel/asm-offsets.c" 1
	
->_THREAD_SIZE 8192 THREAD_SIZE	 #
 # 0 "" 2
 # 103 "arch/mips/kernel/asm-offsets.c" 1
	
->_THREAD_MASK 8191 THREAD_MASK	 #
 # 0 "" 2
 # 104 "arch/mips/kernel/asm-offsets.c" 1
	
->_IRQ_STACK_SIZE 8192 IRQ_STACK_SIZE	 #
 # 0 "" 2
 # 105 "arch/mips/kernel/asm-offsets.c" 1
	
->_IRQ_STACK_START 8176 IRQ_STACK_START	 #
 # 0 "" 2
 # 106 "arch/mips/kernel/asm-offsets.c" 1
	
->
 # 0 "" 2
#NO_APP
	j	$31
	.end	output_thread_info_defines
	.size	output_thread_info_defines, .-output_thread_info_defines
	.section	.text.output_thread_defines,"ax",@progbits
	.align	2
	.globl	output_thread_defines
	.set	nomips16
	.set	nomicromips
	.ent	output_thread_defines
	.type	output_thread_defines, @function
output_thread_defines:
	.frame	$sp,0,$31		# vars= 0, regs= 0/0, args= 0, gp= 0
	.mask	0x00000000,0
	.fmask	0x00000000,0
#APP
 # 111 "arch/mips/kernel/asm-offsets.c" 1
	
->#MIPS specific thread_struct offsets.
 # 0 "" 2
 # 112 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_REG16 912 offsetof(struct task_struct, thread.reg16)	 #
 # 0 "" 2
 # 113 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_REG17 916 offsetof(struct task_struct, thread.reg17)	 #
 # 0 "" 2
 # 114 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_REG18 920 offsetof(struct task_struct, thread.reg18)	 #
 # 0 "" 2
 # 115 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_REG19 924 offsetof(struct task_struct, thread.reg19)	 #
 # 0 "" 2
 # 116 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_REG20 928 offsetof(struct task_struct, thread.reg20)	 #
 # 0 "" 2
 # 117 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_REG21 932 offsetof(struct task_struct, thread.reg21)	 #
 # 0 "" 2
 # 118 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_REG22 936 offsetof(struct task_struct, thread.reg22)	 #
 # 0 "" 2
 # 119 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_REG23 940 offsetof(struct task_struct, thread.reg23)	 #
 # 0 "" 2
 # 120 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_REG29 944 offsetof(struct task_struct, thread.reg29)	 #
 # 0 "" 2
 # 121 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_REG30 948 offsetof(struct task_struct, thread.reg30)	 #
 # 0 "" 2
 # 122 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_REG31 952 offsetof(struct task_struct, thread.reg31)	 #
 # 0 "" 2
 # 123 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_STATUS 956 offsetof(struct task_struct, thread.cp0_status)	 #
 # 0 "" 2
 # 125 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPU 960 offsetof(struct task_struct, thread.fpu)	 #
 # 0 "" 2
 # 127 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_BVADDR 1276 offsetof(struct task_struct, thread.cp0_badvaddr)	 #
 # 0 "" 2
 # 129 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_BUADDR 1280 offsetof(struct task_struct, thread.cp0_baduaddr)	 #
 # 0 "" 2
 # 131 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_ECODE 1284 offsetof(struct task_struct, thread.error_code)	 #
 # 0 "" 2
 # 133 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_TRAPNO 1288 offsetof(struct task_struct, thread.trap_nr)	 #
 # 0 "" 2
 # 134 "arch/mips/kernel/asm-offsets.c" 1
	
->
 # 0 "" 2
#NO_APP
	j	$31
	.end	output_thread_defines
	.size	output_thread_defines, .-output_thread_defines
	.section	.text.output_thread_fpu_defines,"ax",@progbits
	.align	2
	.globl	output_thread_fpu_defines
	.set	nomips16
	.set	nomicromips
	.ent	output_thread_fpu_defines
	.type	output_thread_fpu_defines, @function
output_thread_fpu_defines:
	.frame	$sp,0,$31		# vars= 0, regs= 0/0, args= 0, gp= 0
	.mask	0x00000000,0
	.fmask	0x00000000,0
#APP
 # 139 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR0 960 offsetof(struct task_struct, thread.fpu.fpr[0])	 #
 # 0 "" 2
 # 140 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR1 968 offsetof(struct task_struct, thread.fpu.fpr[1])	 #
 # 0 "" 2
 # 141 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR2 976 offsetof(struct task_struct, thread.fpu.fpr[2])	 #
 # 0 "" 2
 # 142 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR3 984 offsetof(struct task_struct, thread.fpu.fpr[3])	 #
 # 0 "" 2
 # 143 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR4 992 offsetof(struct task_struct, thread.fpu.fpr[4])	 #
 # 0 "" 2
 # 144 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR5 1000 offsetof(struct task_struct, thread.fpu.fpr[5])	 #
 # 0 "" 2
 # 145 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR6 1008 offsetof(struct task_struct, thread.fpu.fpr[6])	 #
 # 0 "" 2
 # 146 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR7 1016 offsetof(struct task_struct, thread.fpu.fpr[7])	 #
 # 0 "" 2
 # 147 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR8 1024 offsetof(struct task_struct, thread.fpu.fpr[8])	 #
 # 0 "" 2
 # 148 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR9 1032 offsetof(struct task_struct, thread.fpu.fpr[9])	 #
 # 0 "" 2
 # 149 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR10 1040 offsetof(struct task_struct, thread.fpu.fpr[10])	 #
 # 0 "" 2
 # 150 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR11 1048 offsetof(struct task_struct, thread.fpu.fpr[11])	 #
 # 0 "" 2
 # 151 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR12 1056 offsetof(struct task_struct, thread.fpu.fpr[12])	 #
 # 0 "" 2
 # 152 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR13 1064 offsetof(struct task_struct, thread.fpu.fpr[13])	 #
 # 0 "" 2
 # 153 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR14 1072 offsetof(struct task_struct, thread.fpu.fpr[14])	 #
 # 0 "" 2
 # 154 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR15 1080 offsetof(struct task_struct, thread.fpu.fpr[15])	 #
 # 0 "" 2
 # 155 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR16 1088 offsetof(struct task_struct, thread.fpu.fpr[16])	 #
 # 0 "" 2
 # 156 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR17 1096 offsetof(struct task_struct, thread.fpu.fpr[17])	 #
 # 0 "" 2
 # 157 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR18 1104 offsetof(struct task_struct, thread.fpu.fpr[18])	 #
 # 0 "" 2
 # 158 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR19 1112 offsetof(struct task_struct, thread.fpu.fpr[19])	 #
 # 0 "" 2
 # 159 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR20 1120 offsetof(struct task_struct, thread.fpu.fpr[20])	 #
 # 0 "" 2
 # 160 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR21 1128 offsetof(struct task_struct, thread.fpu.fpr[21])	 #
 # 0 "" 2
 # 161 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR22 1136 offsetof(struct task_struct, thread.fpu.fpr[22])	 #
 # 0 "" 2
 # 162 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR23 1144 offsetof(struct task_struct, thread.fpu.fpr[23])	 #
 # 0 "" 2
 # 163 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR24 1152 offsetof(struct task_struct, thread.fpu.fpr[24])	 #
 # 0 "" 2
 # 164 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR25 1160 offsetof(struct task_struct, thread.fpu.fpr[25])	 #
 # 0 "" 2
 # 165 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR26 1168 offsetof(struct task_struct, thread.fpu.fpr[26])	 #
 # 0 "" 2
 # 166 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR27 1176 offsetof(struct task_struct, thread.fpu.fpr[27])	 #
 # 0 "" 2
 # 167 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR28 1184 offsetof(struct task_struct, thread.fpu.fpr[28])	 #
 # 0 "" 2
 # 168 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR29 1192 offsetof(struct task_struct, thread.fpu.fpr[29])	 #
 # 0 "" 2
 # 169 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR30 1200 offsetof(struct task_struct, thread.fpu.fpr[30])	 #
 # 0 "" 2
 # 170 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR31 1208 offsetof(struct task_struct, thread.fpu.fpr[31])	 #
 # 0 "" 2
 # 172 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FCR31 1216 offsetof(struct task_struct, thread.fpu.fcr31)	 #
 # 0 "" 2
 # 173 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_MSA_CSR 1220 offsetof(struct task_struct, thread.fpu.msacsr)	 #
 # 0 "" 2
 # 174 "arch/mips/kernel/asm-offsets.c" 1
	
->
 # 0 "" 2
#NO_APP
	j	$31
	.end	output_thread_fpu_defines
	.size	output_thread_fpu_defines, .-output_thread_fpu_defines
	.section	.text.output_mm_defines,"ax",@progbits
	.align	2
	.globl	output_mm_defines
	.set	nomips16
	.set	nomicromips
	.ent	output_mm_defines
	.type	output_mm_defines, @function
output_mm_defines:
	.frame	$sp,0,$31		# vars= 0, regs= 0/0, args= 0, gp= 0
	.mask	0x00000000,0
	.fmask	0x00000000,0
#APP
 # 179 "arch/mips/kernel/asm-offsets.c" 1
	
->#Size of struct page
 # 0 "" 2
 # 180 "arch/mips/kernel/asm-offsets.c" 1
	
->STRUCT_PAGE_SIZE 32 sizeof(struct page)	 #
 # 0 "" 2
 # 181 "arch/mips/kernel/asm-offsets.c" 1
	
->
 # 0 "" 2
 # 182 "arch/mips/kernel/asm-offsets.c" 1
	
->#Linux mm_struct offsets.
 # 0 "" 2
 # 183 "arch/mips/kernel/asm-offsets.c" 1
	
->MM_USERS 36 offsetof(struct mm_struct, mm_users)	 #
 # 0 "" 2
 # 184 "arch/mips/kernel/asm-offsets.c" 1
	
->MM_PGD 32 offsetof(struct mm_struct, pgd)	 #
 # 0 "" 2
 # 185 "arch/mips/kernel/asm-offsets.c" 1
	
->MM_CONTEXT 340 offsetof(struct mm_struct, context)	 #
 # 0 "" 2
 # 186 "arch/mips/kernel/asm-offsets.c" 1
	
->
 # 0 "" 2
 # 187 "arch/mips/kernel/asm-offsets.c" 1
	
->_PGD_T_SIZE 4 sizeof(pgd_t)	 #
 # 0 "" 2
 # 188 "arch/mips/kernel/asm-offsets.c" 1
	
->_PMD_T_SIZE 4 sizeof(pmd_t)	 #
 # 0 "" 2
 # 189 "arch/mips/kernel/asm-offsets.c" 1
	
->_PTE_T_SIZE 4 sizeof(pte_t)	 #
 # 0 "" 2
 # 190 "arch/mips/kernel/asm-offsets.c" 1
	
->
 # 0 "" 2
 # 191 "arch/mips/kernel/asm-offsets.c" 1
	
->_PGD_T_LOG2 2 PGD_T_LOG2	 #
 # 0 "" 2
 # 195 "arch/mips/kernel/asm-offsets.c" 1
	
->_PTE_T_LOG2 2 PTE_T_LOG2	 #
 # 0 "" 2
 # 196 "arch/mips/kernel/asm-offsets.c" 1
	
->
 # 0 "" 2
 # 197 "arch/mips/kernel/asm-offsets.c" 1
	
->_PGD_ORDER 0 PGD_ORDER	 #
 # 0 "" 2
 # 201 "arch/mips/kernel/asm-offsets.c" 1
	
->_PTE_ORDER 0 PTE_ORDER	 #
 # 0 "" 2
 # 202 "arch/mips/kernel/asm-offsets.c" 1
	
->
 # 0 "" 2
 # 203 "arch/mips/kernel/asm-offsets.c" 1
	
->_PMD_SHIFT 22 PMD_SHIFT	 #
 # 0 "" 2
 # 204 "arch/mips/kernel/asm-offsets.c" 1
	
->_PGDIR_SHIFT 22 PGDIR_SHIFT	 #
 # 0 "" 2
 # 205 "arch/mips/kernel/asm-offsets.c" 1
	
->
 # 0 "" 2
 # 206 "arch/mips/kernel/asm-offsets.c" 1
	
->_PTRS_PER_PGD 1024 PTRS_PER_PGD	 #
 # 0 "" 2
 # 207 "arch/mips/kernel/asm-offsets.c" 1
	
->_PTRS_PER_PMD 1 PTRS_PER_PMD	 #
 # 0 "" 2
 # 208 "arch/mips/kernel/asm-offsets.c" 1
	
->_PTRS_PER_PTE 1024 PTRS_PER_PTE	 #
 # 0 "" 2
 # 209 "arch/mips/kernel/asm-offsets.c" 1
	
->
 # 0 "" 2
 # 210 "arch/mips/kernel/asm-offsets.c" 1
	
->_PAGE_SHIFT 12 PAGE_SHIFT	 #
 # 0 "" 2
 # 211 "arch/mips/kernel/asm-offsets.c" 1
	
->_PAGE_SIZE 4096 PAGE_SIZE	 #
 # 0 "" 2
 # 212 "arch/mips/kernel/asm-offsets.c" 1
	
->
 # 0 "" 2
#NO_APP
	j	$31
	.end	output_mm_defines
	.size	output_mm_defines, .-output_mm_defines
	.section	.text.output_sc_defines,"ax",@progbits
	.align	2
	.globl	output_sc_defines
	.set	nomips16
	.set	nomicromips
	.ent	output_sc_defines
	.type	output_sc_defines, @function
output_sc_defines:
	.frame	$sp,0,$31		# vars= 0, regs= 0/0, args= 0, gp= 0
	.mask	0x00000000,0
	.fmask	0x00000000,0
#APP
 # 218 "arch/mips/kernel/asm-offsets.c" 1
	
->#Linux sigcontext offsets.
 # 0 "" 2
 # 219 "arch/mips/kernel/asm-offsets.c" 1
	
->SC_REGS 16 offsetof(struct sigcontext, sc_regs)	 #
 # 0 "" 2
 # 220 "arch/mips/kernel/asm-offsets.c" 1
	
->SC_FPREGS 272 offsetof(struct sigcontext, sc_fpregs)	 #
 # 0 "" 2
 # 221 "arch/mips/kernel/asm-offsets.c" 1
	
->SC_ACX 528 offsetof(struct sigcontext, sc_acx)	 #
 # 0 "" 2
 # 222 "arch/mips/kernel/asm-offsets.c" 1
	
->SC_MDHI 552 offsetof(struct sigcontext, sc_mdhi)	 #
 # 0 "" 2
 # 223 "arch/mips/kernel/asm-offsets.c" 1
	
->SC_MDLO 560 offsetof(struct sigcontext, sc_mdlo)	 #
 # 0 "" 2
 # 224 "arch/mips/kernel/asm-offsets.c" 1
	
->SC_PC 8 offsetof(struct sigcontext, sc_pc)	 #
 # 0 "" 2
 # 225 "arch/mips/kernel/asm-offsets.c" 1
	
->SC_FPC_CSR 532 offsetof(struct sigcontext, sc_fpc_csr)	 #
 # 0 "" 2
 # 226 "arch/mips/kernel/asm-offsets.c" 1
	
->SC_FPC_EIR 536 offsetof(struct sigcontext, sc_fpc_eir)	 #
 # 0 "" 2
 # 227 "arch/mips/kernel/asm-offsets.c" 1
	
->SC_HI1 568 offsetof(struct sigcontext, sc_hi1)	 #
 # 0 "" 2
 # 228 "arch/mips/kernel/asm-offsets.c" 1
	
->SC_LO1 572 offsetof(struct sigcontext, sc_lo1)	 #
 # 0 "" 2
 # 229 "arch/mips/kernel/asm-offsets.c" 1
	
->SC_HI2 576 offsetof(struct sigcontext, sc_hi2)	 #
 # 0 "" 2
 # 230 "arch/mips/kernel/asm-offsets.c" 1
	
->SC_LO2 580 offsetof(struct sigcontext, sc_lo2)	 #
 # 0 "" 2
 # 231 "arch/mips/kernel/asm-offsets.c" 1
	
->SC_HI3 584 offsetof(struct sigcontext, sc_hi3)	 #
 # 0 "" 2
 # 232 "arch/mips/kernel/asm-offsets.c" 1
	
->SC_LO3 588 offsetof(struct sigcontext, sc_lo3)	 #
 # 0 "" 2
 # 233 "arch/mips/kernel/asm-offsets.c" 1
	
->
 # 0 "" 2
#NO_APP
	j	$31
	.end	output_sc_defines
	.size	output_sc_defines, .-output_sc_defines
	.section	.text.output_signal_defined,"ax",@progbits
	.align	2
	.globl	output_signal_defined
	.set	nomips16
	.set	nomicromips
	.ent	output_signal_defined
	.type	output_signal_defined, @function
output_signal_defined:
	.frame	$sp,0,$31		# vars= 0, regs= 0/0, args= 0, gp= 0
	.mask	0x00000000,0
	.fmask	0x00000000,0
#APP
 # 253 "arch/mips/kernel/asm-offsets.c" 1
	
->#Linux signal numbers.
 # 0 "" 2
 # 254 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGHUP 1 SIGHUP	 #
 # 0 "" 2
 # 255 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGINT 2 SIGINT	 #
 # 0 "" 2
 # 256 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGQUIT 3 SIGQUIT	 #
 # 0 "" 2
 # 257 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGILL 4 SIGILL	 #
 # 0 "" 2
 # 258 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGTRAP 5 SIGTRAP	 #
 # 0 "" 2
 # 259 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGIOT 6 SIGIOT	 #
 # 0 "" 2
 # 260 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGABRT 6 SIGABRT	 #
 # 0 "" 2
 # 261 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGEMT 7 SIGEMT	 #
 # 0 "" 2
 # 262 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGFPE 8 SIGFPE	 #
 # 0 "" 2
 # 263 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGKILL 9 SIGKILL	 #
 # 0 "" 2
 # 264 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGBUS 10 SIGBUS	 #
 # 0 "" 2
 # 265 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGSEGV 11 SIGSEGV	 #
 # 0 "" 2
 # 266 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGSYS 12 SIGSYS	 #
 # 0 "" 2
 # 267 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGPIPE 13 SIGPIPE	 #
 # 0 "" 2
 # 268 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGALRM 14 SIGALRM	 #
 # 0 "" 2
 # 269 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGTERM 15 SIGTERM	 #
 # 0 "" 2
 # 270 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGUSR1 16 SIGUSR1	 #
 # 0 "" 2
 # 271 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGUSR2 17 SIGUSR2	 #
 # 0 "" 2
 # 272 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGCHLD 18 SIGCHLD	 #
 # 0 "" 2
 # 273 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGPWR 19 SIGPWR	 #
 # 0 "" 2
 # 274 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGWINCH 20 SIGWINCH	 #
 # 0 "" 2
 # 275 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGURG 21 SIGURG	 #
 # 0 "" 2
 # 276 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGIO 22 SIGIO	 #
 # 0 "" 2
 # 277 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGSTOP 23 SIGSTOP	 #
 # 0 "" 2
 # 278 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGTSTP 24 SIGTSTP	 #
 # 0 "" 2
 # 279 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGCONT 25 SIGCONT	 #
 # 0 "" 2
 # 280 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGTTIN 26 SIGTTIN	 #
 # 0 "" 2
 # 281 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGTTOU 27 SIGTTOU	 #
 # 0 "" 2
 # 282 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGVTALRM 28 SIGVTALRM	 #
 # 0 "" 2
 # 283 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGPROF 29 SIGPROF	 #
 # 0 "" 2
 # 284 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGXCPU 30 SIGXCPU	 #
 # 0 "" 2
 # 285 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGXFSZ 31 SIGXFSZ	 #
 # 0 "" 2
 # 286 "arch/mips/kernel/asm-offsets.c" 1
	
->
 # 0 "" 2
#NO_APP
	j	$31
	.end	output_signal_defined
	.size	output_signal_defined, .-output_signal_defined
	.section	.text.output_kvm_defines,"ax",@progbits
	.align	2
	.globl	output_kvm_defines
	.set	nomips16
	.set	nomicromips
	.ent	output_kvm_defines
	.type	output_kvm_defines, @function
output_kvm_defines:
	.frame	$sp,0,$31		# vars= 0, regs= 0/0, args= 0, gp= 0
	.mask	0x00000000,0
	.fmask	0x00000000,0
#APP
 # 345 "arch/mips/kernel/asm-offsets.c" 1
	
-># KVM/MIPS Specfic offsets. 
 # 0 "" 2
 # 346 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_ARCH_SIZE 2352 sizeof(struct kvm_vcpu_arch)	 #
 # 0 "" 2
 # 347 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_RUN 52 offsetof(struct kvm_vcpu, run)	 #
 # 0 "" 2
 # 348 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_HOST_ARCH 256 offsetof(struct kvm_vcpu, arch)	 #
 # 0 "" 2
 # 350 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_HOST_EBASE 0 offsetof(struct kvm_vcpu_arch, host_ebase)	 #
 # 0 "" 2
 # 351 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_GUEST_EBASE 4 offsetof(struct kvm_vcpu_arch, guest_ebase)	 #
 # 0 "" 2
 # 353 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_HOST_STACK 12 offsetof(struct kvm_vcpu_arch, host_stack)	 #
 # 0 "" 2
 # 354 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_HOST_GP 16 offsetof(struct kvm_vcpu_arch, host_gp)	 #
 # 0 "" 2
 # 356 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_HOST_CP0_BADVADDR 20 offsetof(struct kvm_vcpu_arch, host_cp0_badvaddr)	 #
 # 0 "" 2
 # 357 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_HOST_CP0_CAUSE 24 offsetof(struct kvm_vcpu_arch, host_cp0_cause)	 #
 # 0 "" 2
 # 358 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_HOST_EPC 28 offsetof(struct kvm_vcpu_arch, host_cp0_epc)	 #
 # 0 "" 2
 # 359 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_HOST_ENTRYHI 32 offsetof(struct kvm_vcpu_arch, host_cp0_entryhi)	 #
 # 0 "" 2
 # 361 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_GUEST_INST 36 offsetof(struct kvm_vcpu_arch, guest_inst)	 #
 # 0 "" 2
 # 363 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R0 40 offsetof(struct kvm_vcpu_arch, gprs[0])	 #
 # 0 "" 2
 # 364 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R1 44 offsetof(struct kvm_vcpu_arch, gprs[1])	 #
 # 0 "" 2
 # 365 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R2 48 offsetof(struct kvm_vcpu_arch, gprs[2])	 #
 # 0 "" 2
 # 366 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R3 52 offsetof(struct kvm_vcpu_arch, gprs[3])	 #
 # 0 "" 2
 # 367 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R4 56 offsetof(struct kvm_vcpu_arch, gprs[4])	 #
 # 0 "" 2
 # 368 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R5 60 offsetof(struct kvm_vcpu_arch, gprs[5])	 #
 # 0 "" 2
 # 369 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R6 64 offsetof(struct kvm_vcpu_arch, gprs[6])	 #
 # 0 "" 2
 # 370 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R7 68 offsetof(struct kvm_vcpu_arch, gprs[7])	 #
 # 0 "" 2
 # 371 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R8 72 offsetof(struct kvm_vcpu_arch, gprs[8])	 #
 # 0 "" 2
 # 372 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R9 76 offsetof(struct kvm_vcpu_arch, gprs[9])	 #
 # 0 "" 2
 # 373 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R10 80 offsetof(struct kvm_vcpu_arch, gprs[10])	 #
 # 0 "" 2
 # 374 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R11 84 offsetof(struct kvm_vcpu_arch, gprs[11])	 #
 # 0 "" 2
 # 375 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R12 88 offsetof(struct kvm_vcpu_arch, gprs[12])	 #
 # 0 "" 2
 # 376 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R13 92 offsetof(struct kvm_vcpu_arch, gprs[13])	 #
 # 0 "" 2
 # 377 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R14 96 offsetof(struct kvm_vcpu_arch, gprs[14])	 #
 # 0 "" 2
 # 378 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R15 100 offsetof(struct kvm_vcpu_arch, gprs[15])	 #
 # 0 "" 2
 # 379 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R16 104 offsetof(struct kvm_vcpu_arch, gprs[16])	 #
 # 0 "" 2
 # 380 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R17 108 offsetof(struct kvm_vcpu_arch, gprs[17])	 #
 # 0 "" 2
 # 381 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R18 112 offsetof(struct kvm_vcpu_arch, gprs[18])	 #
 # 0 "" 2
 # 382 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R19 116 offsetof(struct kvm_vcpu_arch, gprs[19])	 #
 # 0 "" 2
 # 383 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R20 120 offsetof(struct kvm_vcpu_arch, gprs[20])	 #
 # 0 "" 2
 # 384 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R21 124 offsetof(struct kvm_vcpu_arch, gprs[21])	 #
 # 0 "" 2
 # 385 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R22 128 offsetof(struct kvm_vcpu_arch, gprs[22])	 #
 # 0 "" 2
 # 386 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R23 132 offsetof(struct kvm_vcpu_arch, gprs[23])	 #
 # 0 "" 2
 # 387 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R24 136 offsetof(struct kvm_vcpu_arch, gprs[24])	 #
 # 0 "" 2
 # 388 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R25 140 offsetof(struct kvm_vcpu_arch, gprs[25])	 #
 # 0 "" 2
 # 389 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R26 144 offsetof(struct kvm_vcpu_arch, gprs[26])	 #
 # 0 "" 2
 # 390 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R27 148 offsetof(struct kvm_vcpu_arch, gprs[27])	 #
 # 0 "" 2
 # 391 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R28 152 offsetof(struct kvm_vcpu_arch, gprs[28])	 #
 # 0 "" 2
 # 392 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R29 156 offsetof(struct kvm_vcpu_arch, gprs[29])	 #
 # 0 "" 2
 # 393 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R30 160 offsetof(struct kvm_vcpu_arch, gprs[30])	 #
 # 0 "" 2
 # 394 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R31 164 offsetof(struct kvm_vcpu_arch, gprs[31])	 #
 # 0 "" 2
 # 395 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_LO 172 offsetof(struct kvm_vcpu_arch, lo)	 #
 # 0 "" 2
 # 396 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_HI 168 offsetof(struct kvm_vcpu_arch, hi)	 #
 # 0 "" 2
 # 397 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_PC 176 offsetof(struct kvm_vcpu_arch, pc)	 #
 # 0 "" 2
 # 398 "arch/mips/kernel/asm-offsets.c" 1
	
->
 # 0 "" 2
 # 400 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_FPR0 184 offsetof(struct kvm_vcpu_arch, fpu.fpr[0])	 #
 # 0 "" 2
 # 401 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_FPR1 192 offsetof(struct kvm_vcpu_arch, fpu.fpr[1])	 #
 # 0 "" 2
 # 402 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_FPR2 200 offsetof(struct kvm_vcpu_arch, fpu.fpr[2])	 #
 # 0 "" 2
 # 403 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_FPR3 208 offsetof(struct kvm_vcpu_arch, fpu.fpr[3])	 #
 # 0 "" 2
 # 404 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_FPR4 216 offsetof(struct kvm_vcpu_arch, fpu.fpr[4])	 #
 # 0 "" 2
 # 405 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_FPR5 224 offsetof(struct kvm_vcpu_arch, fpu.fpr[5])	 #
 # 0 "" 2
 # 406 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_FPR6 232 offsetof(struct kvm_vcpu_arch, fpu.fpr[6])	 #
 # 0 "" 2
 # 407 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_FPR7 240 offsetof(struct kvm_vcpu_arch, fpu.fpr[7])	 #
 # 0 "" 2
 # 408 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_FPR8 248 offsetof(struct kvm_vcpu_arch, fpu.fpr[8])	 #
 # 0 "" 2
 # 409 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_FPR9 256 offsetof(struct kvm_vcpu_arch, fpu.fpr[9])	 #
 # 0 "" 2
 # 410 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_FPR10 264 offsetof(struct kvm_vcpu_arch, fpu.fpr[10])	 #
 # 0 "" 2
 # 411 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_FPR11 272 offsetof(struct kvm_vcpu_arch, fpu.fpr[11])	 #
 # 0 "" 2
 # 412 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_FPR12 280 offsetof(struct kvm_vcpu_arch, fpu.fpr[12])	 #
 # 0 "" 2
 # 413 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_FPR13 288 offsetof(struct kvm_vcpu_arch, fpu.fpr[13])	 #
 # 0 "" 2
 # 414 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_FPR14 296 offsetof(struct kvm_vcpu_arch, fpu.fpr[14])	 #
 # 0 "" 2
 # 415 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_FPR15 304 offsetof(struct kvm_vcpu_arch, fpu.fpr[15])	 #
 # 0 "" 2
 # 416 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_FPR16 312 offsetof(struct kvm_vcpu_arch, fpu.fpr[16])	 #
 # 0 "" 2
 # 417 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_FPR17 320 offsetof(struct kvm_vcpu_arch, fpu.fpr[17])	 #
 # 0 "" 2
 # 418 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_FPR18 328 offsetof(struct kvm_vcpu_arch, fpu.fpr[18])	 #
 # 0 "" 2
 # 419 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_FPR19 336 offsetof(struct kvm_vcpu_arch, fpu.fpr[19])	 #
 # 0 "" 2
 # 420 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_FPR20 344 offsetof(struct kvm_vcpu_arch, fpu.fpr[20])	 #
 # 0 "" 2
 # 421 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_FPR21 352 offsetof(struct kvm_vcpu_arch, fpu.fpr[21])	 #
 # 0 "" 2
 # 422 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_FPR22 360 offsetof(struct kvm_vcpu_arch, fpu.fpr[22])	 #
 # 0 "" 2
 # 423 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_FPR23 368 offsetof(struct kvm_vcpu_arch, fpu.fpr[23])	 #
 # 0 "" 2
 # 424 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_FPR24 376 offsetof(struct kvm_vcpu_arch, fpu.fpr[24])	 #
 # 0 "" 2
 # 425 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_FPR25 384 offsetof(struct kvm_vcpu_arch, fpu.fpr[25])	 #
 # 0 "" 2
 # 426 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_FPR26 392 offsetof(struct kvm_vcpu_arch, fpu.fpr[26])	 #
 # 0 "" 2
 # 427 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_FPR27 400 offsetof(struct kvm_vcpu_arch, fpu.fpr[27])	 #
 # 0 "" 2
 # 428 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_FPR28 408 offsetof(struct kvm_vcpu_arch, fpu.fpr[28])	 #
 # 0 "" 2
 # 429 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_FPR29 416 offsetof(struct kvm_vcpu_arch, fpu.fpr[29])	 #
 # 0 "" 2
 # 430 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_FPR30 424 offsetof(struct kvm_vcpu_arch, fpu.fpr[30])	 #
 # 0 "" 2
 # 431 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_FPR31 432 offsetof(struct kvm_vcpu_arch, fpu.fpr[31])	 #
 # 0 "" 2
 # 433 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_FCR31 440 offsetof(struct kvm_vcpu_arch, fpu.fcr31)	 #
 # 0 "" 2
 # 434 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_MSA_CSR 444 offsetof(struct kvm_vcpu_arch, fpu.msacsr)	 #
 # 0 "" 2
 # 435 "arch/mips/kernel/asm-offsets.c" 1
	
->
 # 0 "" 2
 # 437 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_COP0 452 offsetof(struct kvm_vcpu_arch, cop0)	 #
 # 0 "" 2
 # 438 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_GUEST_KERNEL_ASID 1600 offsetof(struct kvm_vcpu_arch, guest_kernel_asid)	 #
 # 0 "" 2
 # 439 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_GUEST_USER_ASID 1596 offsetof(struct kvm_vcpu_arch, guest_user_asid)	 #
 # 0 "" 2
 # 441 "arch/mips/kernel/asm-offsets.c" 1
	
->COP0_TLB_HI 320 offsetof(struct mips_coproc, reg[10][0])	 #
 # 0 "" 2
 # 442 "arch/mips/kernel/asm-offsets.c" 1
	
->COP0_STATUS 384 offsetof(struct mips_coproc, reg[12][0])	 #
 # 0 "" 2
 # 443 "arch/mips/kernel/asm-offsets.c" 1
	
->
 # 0 "" 2
#NO_APP
	j	$31
	.end	output_kvm_defines
	.size	output_kvm_defines, .-output_kvm_defines
	.ident	"GCC: (LEDE GCC 5.4.0 r2993+847-b9a408c2b4) 5.4.0"
	.section	.note.GNU-stack,"",@progbits
